# Configuration

## Location : $HOME/conf/
## config_select.json : Default "ConfSelect": "local",

Note : Take a choice to change to the other conf file for temporary usage


## Conf Variable Description.( default filename: local_config.json )

|    Type  |      Name      |  Usage | Deprecated | Remarks |
|----------|-------------|------|------|------|
|Kafka|KafkaOn|use Kafea|Yes| |
| | KafkaTopic | topic name|Yes ||
| | KafkaAddr | kafka Url |Yes ||
| | KafkaPort | port number |Yes | |
| gRpc| gRpcOn| use gRpc| Yes | |
| | AppName| app name | Yes| |
| | SiteName| site name | Yes | |
| | gRpcProtocol| | Yes| |
| | gRpcAddr| | Yes| |
| | gRpcPort| | Yes| | |
|REST API | RestOn| use RESTful | | |
| |RestConnect | | | |
| |RestUri| Endpoint including Port No| | |
| | IsDevMode| Develop Mode| Yes| |
| | IsSqlDebugMode| | Yes| |
| | IsNormalDebugMode| | Yes| |
| | GateTokenSecond| GateToken Validity in second | | |
| | IsYDBFixed| Development Mode| | YDB is Development Target DB (Fixed) |
| | YDBConnString| DB connection string  | | |
| | UDBConnString| |Yes | |
| | DBOptionString| XORM Option| | Should NOT changed |
| | XDBOn| | Yes| |
| | XDBConnString| | Yes| |
| | IsLocalKeyPair| Disconnect from DaborySSO Server if Yes | | |
| | LocalKeyPair| KeyPair from libSodium | | Should be prepared if IsLocalKeyPair is "Yes" |
| | SsoConnString| DaborySSO REST API| | Should be prepared if IsLocalKeyPair is "No" | 
| | SsoAppBase64| DaborySSO REST API | | Should be prepared if IsLocalKeyPair is "No"| 
| | DbuConnString| DBUpdate REST API| | |
| | DbuAppBase64| DBUpdate REST API| | |
| | DbuByForceOn| DB Update without User confirmation | | Disable Frontend Setting|
| | IsQryFromQDB| Use Query String Cache in Memory DB | | |
| | DbuEncryptCode| Unique Key to Retrieve External Private Key| | Supported with  Aes256 (DoNotChange!!)|
| | SslMode| | | Yes or No|
| | SslConnect| SSL API connection string including Port No| | |
| | SslFullChain| location of full chain pem file| | |
| | SslPrivate| location of private pem file | | |
| | GethConnString | Geth Web3 API Connection | | |
| | XrpConnBridge| Ripple Web3 API Connection | | |
| | DbType| DB type | | Usually "mysql"|
